# PublishingPlugin

abstract class PublishingPlugin : Plugin<T>

Installs a org.gradle.api.publish.PublishingExtension with name {@value org.gradle.api.publish.PublishingExtension#NAME}.

#### Since

1.3

#### See also

<a href="https://docs.gradle.org/current/userguide/publishing_setup.html#publishing_overview">Publishing reference</a>

## Constructors

PublishingPlugin
Link copied to clipboard
@Inject
constructor(publicationServices: ArtifactPublicationServices, instantiator: Instantiator, projectPublicationRegistry: ProjectPublicationRegistry, collectionCallbackActionDecorator: CollectionCallbackActionDecorator)

## Properties

PUBLISH_LIFECYCLE_TASK_NAME
Link copied to clipboard
val PUBLISH_LIFECYCLE_TASK_NAME: String = "publish"
PUBLISH_TASK_GROUP
Link copied to clipboard
val PUBLISH_TASK_GROUP: String = "publishing"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)